Skip to navigation

Update Schedule

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
schedule_idstringRequired

Request

This endpoint expects an object.
expected_revisionintegerRequired>=1
idempotency_keystringRequired1-128 characters
atstring or nullOptional<=80 characters
cronstring or nullOptional<=256 characters
inputmap from strings to any or nullOptional
interval_secondsinteger or nullOptional60-2592000
timezonestring or nullOptional<=128 characters

Response

Successful Response
scheduleobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error